"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expectNotDeprecated = exports.expectDeprecated = exports.expectError = exports.expectNotAssignable = exports.expectAssignable = exports.expectNotType = exports.expectType = void 0;
/**
 * Check that the type of `value` is identical to type `T`.
 *
 * @param value - Value that should be identical to type `T`.
 */
// @ts-ignore
const expectType = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectType = expectType;
/**
 * Check that the type of `value` is not identical to type `T`.
 *
 * @param value - Value that should be identical to type `T`.
 */
// @ts-ignore
const expectNotType = (value) => {
    // TODO Use a `not T` type when possible https://github.com/microsoft/TypeScript/pull/29317
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotType = expectNotType;
/**
 * Check that the type of `value` is assignable to type `T`.
 *
 * @param value - Value that should be assignable to type `T`.
 */
// @ts-ignore
const expectAssignable = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectAssignable = expectAssignable;
/**
 * Check that the type of `value` is not assignable to type `T`.
 *
 * @param value - Value that should not be assignable to type `T`.
 */
// @ts-ignore
const expectNotAssignable = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotAssignable = expectNotAssignable;
/**
 * Assert the value to throw an argument error.
 *
 * @param value - Value that should be checked.
 */
// @ts-ignore
const expectError = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectError = expectError;
/**
 * Assert that the `expression` provided is marked as `@deprecated`.
 *
 * @param expression - Expression that should be marked as `@deprecated`.
 */
// @ts-ignore
const expectDeprecated = (expression) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectDeprecated = expectDeprecated;
/**
 * Assert that the `expression` provided is not marked as `@deprecated`.
 *
 * @param expression - Expression that should not be marked as `@deprecated`.
 */
// @ts-ignore
const expectNotDeprecated = (expression) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotDeprecated = expectNotDeprecated;
