import { CallExpression, TypeChecker } from '../../../../libraries/typescript/lib/typescript';
import { Diagnostic } from '../../interfaces';
/**
 * Performs strict type assertion between the argument if the assertion, and the generic type of the assertion.
 *
 * @param checker - The TypeScript type checker.
 * @param nodes - The `expectType` AST nodes.
 * @return List of custom diagnostics.
 */
export declare const strictAssertion: (checker: TypeChecker, nodes: Set<CallExpression>) => Diagnostic[];
