import { Program, CallExpression } from '../../libraries/typescript';
import { Assertion } from './assertions';
import { Location, Diagnostic } from './interfaces';
/**
 * Extract all assertions.
 *
 * @param program - TypeScript program.
 */
export declare const extractAssertions: (program: Program) => Map<Assertion, Set<CallExpression>>;
/**
 * Loop over all the error assertion nodes and convert them to a location map.
 *
 * @param assertions - Assertion map.
 */
export declare const parseErrorAssertionToLocation: (assertions: Map<Assertion, Set<CallExpression>>) => Map<Location, Pick<Diagnostic, "line" | "fileName" | "column">>;
